Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The UUID of the Telnyx account that owns the resource, for example f5586561-8ff0-4291-a51b-c7dfe4139ff9. The account_sid path segment is kept for Twilio API compatibility, but the value is a Telnyx account UUID, not a Twilio AC... SID. It must match the account that owns the API key used to authenticate the request, otherwise the endpoint returns 404. The same value is sent as AccountSid in TeXML webhooks.

Example:

"f5586561-8ff0-4291-a51b-c7dfe4139ff9"

Query Parameters

Page
integer

The number of the page to be displayed, zero-indexed, should be used in conjuction with PageToken.

PageSize
integer

The number of records to be displayed on a page

PageToken
string

Used to request the next page of results.

DateCreated
string

Filters conferences by the creation date. Expected format is YYYY-MM-DD. Also accepts inequality operators, e.g. DateCreated>=2023-05-22.

DateUpdated
string

Filters conferences by the time they were last updated. Expected format is YYYY-MM-DD. Also accepts inequality operators, e.g. DateUpdated>=2023-05-22.

Response

Multiple queue resources.

queues
Queue resource · object[]
end
integer

The number of the last element on the page, zero-indexed.

Example:

19

first_page_uri
string

/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Queues.json?Page=0&PageSize=1

Example:

"accepted"

next_page_uri
string

/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Queues.json?Page=1&PageSize=1&PageToken=MTY4AjgyNDkwNzIxMQ

Example:

"accepted"

page
integer

Current page number, zero-indexed.

Example:

0

page_size
integer

The number of items on the page

Example:

20

start
integer

The number of the first element on the page, zero-indexed.

Example:

0

uri
string

The URI of the current page.

Example:

"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Queues.json?Page=0&PageSize=1"